Bug 505364 - In fop.xsl, change URL of "xml.apache.org" to "xmlgraphics.apache.org"
In fop.xsl, change URL of "xml.apache.org" to "xmlgraphics.apache.org"
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: docbook-style-xsl (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
http://xmlgraphics.apache.org/fop/ext...
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-11 12:26 EDT by Robert P. J. Day
Modified: 2015-07-16 09:36 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.74.3-2.fc11
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-07 00:58:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert P. J. Day 2009-06-11 12:26:50 EDT
Trying to build a PDF of the latest checkout of the Subversion book produces:

(Using '/usr/bin/fop' for FOP)
Jun 11, 2009 12:19:35 PM org.apache.fop.cli.InputHandler error
SEVERE: javax.xml.transform.TransformerException: file:/home/rpjday/svn/book/trunk/src/en/book/svn-book.fo:2:29113: Error(2/29113): No element mapping definition found for (Namespace URI: "http://xml.apache.org/fop/extensions", Local Name: "destination")
Jun 11, 2009 12:19:35 PM org.apache.fop.cli.Main startFOP
SEVERE: Exception

etc etc etc ...

In the file /usr/share/sgml/docbook/xsl-stylesheets/fo/fop.xsl, we read:

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:fox="http://xml.apache.org/fop/extensions"
...

if you stick that last URL in a browser, it actually redirects to:

http://xmlgraphics.apache.org/fop/0.95/extensions

but the stylesheet processing doesn't seem to follow that redirection and therefore fails.  It *will*, however, handle "http://xmlgraphics.apache.org/fop/extensions".  So just change that part of the URL.

(I'm guessing there may be other places in the files that might need the corresponding change.)
Comment 1 Robert P. J. Day 2009-06-11 13:08:24 EDT
There is, in fact, one other file that might be updated similarly:

fo/param.xml:

param.xml:1647:<link xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="http://xml.apache.org/fop/">FOP</link>
param.xml:1679:<link xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="http://xml.apache.org/fop/">FOP</link>
Comment 2 Ondrej Vasik 2009-06-11 14:49:40 EDT
Thanks for report... in fo/fop1.xsl Bob Stayton fixed namespace declaration upstream ~6 weeks ago (http://docbook.svn.sourceforge.net/viewvc/docbook/trunk/xsl/fo/fop1.xsl?r1=8384&r2=8418) . I guess he intentionally did it only for fop1.xsl - as fop1.extensions should be used for later fop. Rawhide docbook-style-xsl should contain fop1.xsl with update namespace adress for extensions, if it is enough, I'll update F-11 docbook-style-xsl same way.
Comment 3 Robert P. J. Day 2009-06-11 15:38:57 EDT
Sorry, I'm not clear on what's happening ... are you saying that fop.xsl is being superseded by fop1.xsl?  Or what?
Comment 4 Ondrej Vasik 2009-06-12 04:21:01 EDT
No, not superseeded, they are separate stylesheets. Just fop.extensions parameter should be used for fop with version 0.25 and earlier and fop1.extensions for latest fop (0.95+). I'm not very experienced with fop part of xsl stylesheets but I'll try to find out what's happening (and if there is something else required to do with that bugzilla than declaration of the correct namespace in fop1.xsl (as was done by upstream)).
Comment 5 Fedora Update System 2009-08-05 11:09:36 EDT
docbook-style-xsl-1.74.3-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/docbook-style-xsl-1.74.3-2.fc11
Comment 6 Fedora Update System 2009-08-07 00:58:04 EDT
docbook-style-xsl-1.74.3-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Frank Ch. Eigler 2012-06-08 13:20:08 EDT
Even current docbook-style-xsl refers to old xml.apache.org URLs that don't resolve (without redirection).  See also bug #830266.
Comment 8 Fedora End Of Life 2013-04-03 16:11:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 9 Fedora End Of Life 2015-01-09 16:39:55 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Jan Kurik 2015-07-15 11:21:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Note You need to log in before you can comment on or make changes to this bug.